LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSystemTransferable Interface Referencepublished

Interface to be implemented by objects used to provide system dependent data for a transfer operation. More...

`import"XSystemTransferable.idl";`

Inheritance diagram for XSystemTransferable:

## Public Member Functions
any | getData ([in] sequence< byte > aProcessId)
| Called by a data consumer to obtain a system specific data object from the source. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented by objects used to provide system dependent data for a transfer operation.

Those objects usually also implement XTransferable.

## Member Function Documentation

## ◆ getData()

any getData | ( | [in] sequence< byte > | aProcessId | ) |

Called by a data consumer to obtain a system specific data object from the source.

The data object is returned in an any. The contained type may differ on different platforms.

Parameters

  aProcessId | The argument aProcessId is a process identifier of the caller's process. The interface implementation must ensure that the system data object can be used in that process. If the data object is not valid in the caller process then the returned any must be empty.

Returns
  The system dependent data object.

Notes:Under Windows the returned any contains an unsigned long which represents a pointer to an IDataObject interface. The caller of getData has to release the data object (IDataObject::Release) if it is no longer needed. The caller must also make sure that the current thread has been initialized for OLE (use OleInitialize).

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XSystemTransferable.idl